1. Virtual Account
BPN OpenAPI
  • Get started
    • Introduction to BPN
    • Introduction to API
    • Architecture Overview
    • Authentication
    • Environments
    • Response envelope
    • Idempotency
  • Guides
    • Virtual Account
      • Virtual Account Overview
      • VA · Payin
      • VA · Statuses
      • VA · Payout
      • VA · RFI
      • VA · Currencies & limits
      • VA Opening
        • VND VA Opening
        • BRL VA Opening
    • Wallet
      • Wallet · Transfer
      • Wallet · Assets & limits
      • Wallet · Deposit whitelist
      • Wallet · PaymentLink
      • Wallet Overview
      • Wallet · Deposit
      • Wallet · Statuses
      • Wallet · Withdraw
    • Convert
      • Convert Overview
      • Convert · Quote & submit
      • Convert · Business types
      • Convert · Pairs & limits
      • Convert · Statuses
  • API Reference
    • Virtual Account
      • Virtual Account field notes
      • Inquiry Master VA Balance
        GET
      • List Primary Virtual Accounts
        GET
      • Create Virtual Account
        POST
      • Get Virtual Account Detail
        GET
      • List Virtual Account
        GET
      • List Virtual Account Orders
        GET
      • Get Virtual Account Order Detail
        GET
      • Refund Virtual Account Order
        POST
      • List RFI Sub Virtual Account
        GET
      • Get Sub Virtual Account RFI Template Info
        GET
      • Sub Virtual Account Submit RFI
        POST
      • Add Bank Account
        POST
      • List Bank Account
        GET
      • List Banks
        GET
      • Payout via Virtual Account
        POST
      • Send Email Verify Code
        POST
    • Wallet
      • Wallet field notes
      • Deposit Whitelist
        • Get Deposit Whitelist Options
        • Register Deposit Source Address
        • List Deposit Source Addresses
        • Get Deposit Source Address
        • Disable Deposit Source Address
        • Submit Payer Details for a Received Deposit
        • Save Sub-wallet Payer Profile
        • Update Sub-wallet Payer Profile
        • Get Sub-wallet Payer Profile
        • Get Deposit Whitelist Case
      • Get Asset Balance
      • Get Deposit Address
      • Add Deposit Sender
      • Add Withdraw Whitelist
      • Delete Withdraw Whiltelist
      • Request Withdraw
      • Query Wallet Internal Transfer Detail
      • List Wallet Internal Transfer order
      • Wallet Internal Transfer
      • Create Sub Account
      • Query Transaction History
      • List Wallets
      • List Sub Account
      • Get Transaction Detail
      • List Wallet Transactions
      • Get Wallet Transaction Detail
    • Payment Link
      • Abnormal fund
        • Abnormal funds
        • Matchable Payment links
        • Link Order(Abnormal fund)
        • Submit to platform
      • Create Payment Link
      • List Payment links
      • Get Curreny Network Config
    • Convert
      • Convert field notes
      • Inquery FX Rate
      • Get Stablecoin Quote
      • Create Stable Order
      • Get Order (Single) Detail
      • List Orders(Batch)
    • KYB
      • Share KYB/KYC Info For Sub User
      • Get KYB Sub User Status
    • Reconciliation
      • Get Reconciliation Order List By Page
    • External Provider
      • FE: Create stablecoin collection sub-account link
      • FE: Deposit Travel Rule
      • External Provider · Deposit whitelist
      • Create stablecoin collection sub-account link
      • Get sub wallet account
      • List sub wallet accounts
      • Change sub wallet status
      • Query stablecoin collection order list
      • Query stablecoin collection order status
      • Get quote
      • Accept stablecoin collection order
      • Reject stablecoin collection order
      • Query USD balance
      • USD Payout (withdrawal)
      • Query USD Payout order status
      • Query USD Payout order list
      • Create deposit Travel Rule link
      • Create deposit Travel Rule detail link
    • Mock
      • Mock Virtual account Payin Order
      • Mock wallet deposit transaction
      • Mock Payin Order Refund
      • Mock Payout Order Update Status
    • Pay Session
      • Request Pay Session
    • Files
      • Request File Upload URL
  • Webhooks
    • Webhooks Overview
    • KYB notifications
    • Event catalogue
    • Resend Fail Webhook
    • Open Virtual Account Status
    • Virtual Account Payment Status
    • Virtual Account Invoice update
    • Transaction Status Notification
    • KYB Status Notification
    • Deposit Sender Detail Required
    • Abnormal Fund Notification
    • WALLET_TRANSFER_ORDER_UPDATED
    • Sub Virtual Account RFI Required
    • Sub Wallet Update
    • wallet address whitelist Update
    • Crypto Deposit Order Notification
    • Collect Order Updated
    • Usd Payout Order Updated
    • onboard result
    • partner order status
    • PaymentLink Notification
    • Deposit Whitelist Notification
  • Partner Flow
    • Share KYB/KYC and open account directly
    • Get KYB/KYC submit + open account status
    • Get Stablecoin Quote
    • Create Stable Order
    • Get Order (Single) Detail
    • List Orders(Batch)
    • Submit hash
  • Appendix
    • Enums quick reference
    • Enum
    • Virtual Account(VA) Support List & KYB requirement
  • Release Notes & Changelog
  • Errors
    • Error codes catalogue
  • Change Log
    • 2026-09-21 Virtual Account independent refund orders
    • Wallet deposit source-address whitelist
  1. Virtual Account

List RFI Sub Virtual Account

GET
/v1/virtual-account/sub/rfi-list

List RFI Sub VA#

GET /v1/virtual-account/sub/rfi-list.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/virtual-account/sub/rfi-list?currency=USDT&parentAccountId=sample_parentAccountId&rfiStatus=SUCCESS' \
--header 'API-KEY: <api-key>' \
--header 'API-SIGNATURE: <api-key>' \
--header 'API-TIMESTAMP: <api-key>'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "code": null,
    "msg": "OK",
    "data": [
        {
            "accountId": "3100",
            "accountName": "ALBrooks",
            "currency": "MXN",
            "status": "SUCCESS",
            "awaitingRfiTypeList": [
                "SUB_ACCOUNT_RFI_TIER_1"
            ],
            "rfiStatus": "AWAITING_SUBMISSION",
            "rfiInfo": {
                "rfiTierList": [
                    {
                        "tier": "TIER_0",
                        "rfiStatus": "SUBMITTED",
                        "createTime": "2025-12-12T06:51:56.176Z",
                        "answerList": [
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "incorporated_country",
                                "answer": "AF",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "registration_number",
                                "answer": "asfa",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "ubo_name",
                                "answer": "asfasf",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "business_type",
                                "answer": "B2B",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "company_address",
                                "answer": "asfasf",
                                "file": "",
                                "fileList": null
                            }
                        ]
                    },
                    {
                        "tier": "TIER_1",
                        "rfiStatus": "AWAITING_SUBMISSION",
                        "createTime": "2025-12-12T06:53:06.089Z",
                        "answerList": null
                    }
                ]
            }
        },
        {
            "accountId": "3096",
            "accountName": "a21312r1",
            "currency": "NGN",
            "status": "SUCCESS",
            "awaitingRfiTypeList": [
                "SUB_ACCOUNT_RFI_TIER_1",
                "SUB_ACCOUNT_RFI_TIER_2"
            ],
            "rfiStatus": "AWAITING_SUBMISSION",
            "rfiInfo": {
                "rfiTierList": [
                    {
                        "tier": "TIER_0",
                        "rfiStatus": "SUBMITTED",
                        "createTime": "2025-12-12T06:51:56.176Z",
                        "answerList": [
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "incorporated_country",
                                "answer": "AF",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "registration_number",
                                "answer": "asfa",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "ubo_name",
                                "answer": "asfasf",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "business_type",
                                "answer": "B2B",
                                "file": "",
                                "fileList": null
                            },
                            {
                                "bizType": "SUB_ACCOUNT_RFI_TIER_0",
                                "questionId": "company_address",
                                "answer": "asfasf",
                                "file": "",
                                "fileList": null
                            }
                        ]
                    },
                    {
                        "tier": "TIER_1",
                        "rfiStatus": "AWAITING_SUBMISSION",
                        "createTime": "2025-12-12T06:53:06.089Z",
                        "answerList": null
                    },
                    {
                        "tier": "TIER_2",
                        "rfiStatus": "AWAITING_SUBMISSION",
                        "createTime": "2025-12-12T07:00:15.868Z",
                        "answerList": null
                    }
                ]
            }
        }
    ],
    "traceId": "Auto:fe353807e2144242ae87af9ef9e56844",
    "success": true
}
Previous
Refund Virtual Account Order
Next
Get Sub Virtual Account RFI Template Info
Built with